## postgresql-10 10.9

=== debian/changelog ===
postgresql-10 (10.9-0ubuntu0.18.10.1) cosmic-security; urgency=medium

  * New upstream release (LP: #1828012)
    - Fix buffer-overflow hazards in SCRAM verifier parsing and libpq
      CVE-2019-10164
    - Fix failure of ALTER TABLE ... ALTER COLUMN TYPE when the table has
      a partial exclusion constraint
    - Fix failure of COMMENT command for comments on domain constraints
    - Prevent possible memory clobber when there are duplicate columns in
      a hash aggregate's hash key list
    - Details about these and many further changes can be found at:
      https://www.postgresql.org/docs/10/static/release-10-9.html

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 18 Jun 2019 13:11:36 +0200

postgresql-10 (10.8-0ubuntu0.18.10.1) cosmic-security; urgency=medium

  * New upstream release(s) (LP: #1828012)
    - Prevent row-level security policies from being bypassed via
      selectivity estimators.
      CVE-2019-10130
    - Details about these and many further changes can be found at:
      https://www.postgresql.org/docs/10/static/release-10-8.html

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 07 May 2019 11:20:35 +0200

postgresql-10 (10.7-0ubuntu0.18.10.1) cosmic; urgency=medium

  * New upstream release (LP: #1815665)
    - By default, panic instead of retrying after fsync() failure, to avoid
      possible data corruption. A new server parameter "guc-data-sync-retry"
      has been added to control this;
    - d/p/pg-10-Disallow-setting-client_min_messages-higher-than-ERR.patch:
      to retain SRU stability this patch reverts one of the changes which
      disabled the error suppression by setting client_min_messages to
      fatal or panic. Overall that means no change to the handling of
      client_min_messages due to this upload.
    - d/p/pg-10-Rename-rbtree.c-functions-to-use-rbt-prefix-not-rb-p.patch:
      this change of 10.7 would break an external ABI/API exposed to
      extensions. To avoid breaking those (especially those not in the Ubuntu
      Archive that we can't control) this change of upstreams stable release
      is reverted. Thereby the ABI/API is unchanged in regard to the rb_
      function prefix by this new package upload to Ubuntu.
    - Details about these and many further changes can be found at:
      https://www.postgresql.org/docs/10/static/release-10-7.html

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 12 Feb 2019 21:25:34 +0100

postgresql-10 (10.6-0ubuntu0.18.10.1) cosmic-security; urgency=medium

  * SECURITY UPDATE: Updated to 10.6 to fix security issue.
    - Details about the new release can be found at
      https://www.postgresql.org/docs/10/release-10-6.html
    - CVE-2018-16850

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 13 Nov 2018 14:20:49 -0500
