## postgresql-10 10.12

=== debian/changelog ===
postgresql-10 (10.12-0ubuntu0.18.04.1) bionic-security; urgency=medium

  * New upstream release (LP: #1863108)
    - A dump/restore is not required however, if you use the contrib/intarray
      extension with a GiST index, and you rely on indexed searches for the <@
      operator, see the release notes for details in regard to a related fix.
    - Add missing permissions checks for ALTER ... DEPENDS ON EXTENSION.
      Marking an object as dependent on an extension did not have any
      privilege check whatsoever.  This oversight allowed any user to mark
      routines, triggers, materialized views, or indexes as droppable by
      anyone able to drop an extension.  Require that the calling user own the
      specified object (and hence have privilege to drop it). (CVE-2020-1720)
    - Details about these and many further changes can be found at:
      https://www.postgresql.org/docs/10/static/release-10-11.html
      https://www.postgresql.org/docs/10/static/release-10-12.html

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 13 Feb 2020 15:18:22 +0100

postgresql-10 (10.10-0ubuntu0.18.04.1) bionic-security; urgency=medium

  * SECURITY UPDATE: New upstream release (LP: #1839058)
    - Require schema qualification to cast to a temporary type when using
      functional cast syntax (CVE-2019-10208)
    - Fix failure of ALTER TABLE ... ALTER COLUMN TYPE when altering multiple
      columns' types in one command. This fixes a regression introduced in the
      most recent minor releases
    - Details about these and many further changes can be found at:
      https://www.postgresql.org/docs/10/static/release-10-10.html

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 06 Aug 2019 08:55:10 +0200

postgresql-10 (10.9-0ubuntu0.18.04.1) bionic-security; urgency=medium

  * New upstream release (LP: #1828012)
    - Fix buffer-overflow hazards in SCRAM verifier parsing and libpq
      CVE-2019-10164
    - Fix failure of ALTER TABLE ... ALTER COLUMN TYPE when the table has
      a partial exclusion constraint
    - Fix failure of COMMENT command for comments on domain constraints
    - Prevent possible memory clobber when there are duplicate columns in
      a hash aggregate's hash key list
    - Details about these and many further changes can be found at:
      https://www.postgresql.org/docs/10/static/release-10-9.html

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 18 Jun 2019 13:11:36 +0200

postgresql-10 (10.8-0ubuntu0.18.04.1) bionic-security; urgency=medium

  * New upstream release(s) (LP: #1828012)
    - Prevent row-level security policies from being bypassed via
      selectivity estimators.
      CVE-2019-10130
    - Details about these and many further changes can be found at:
      https://www.postgresql.org/docs/10/static/release-10-8.html

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 07 May 2019 11:20:35 +0200

postgresql-10 (10.7-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release (LP: #1815665)
    - By default, panic instead of retrying after fsync() failure, to avoid
      possible data corruption. A new server parameter "guc-data-sync-retry"
      has been added to control this;
    - d/p/pg-10-Disallow-setting-client_min_messages-higher-than-ERR.patch:
      to retain SRU stability this patch reverts one of the changes which
      disabled the error suppression by setting client_min_messages to
      fatal or panic. Overall that means no change to the handling of
      client_min_messages due to this upload.
    - d/p/pg-10-Rename-rbtree.c-functions-to-use-rbt-prefix-not-rb-p.patch:
      this change of 10.7 would break an external ABI/API exposed to
      extensions. To avoid breaking those (especially those not in the Ubuntu
      Archive that we can't control) this change of upstreams stable release
      is reverted. Thereby the ABI/API is unchanged in regard to the rb_
      function prefix by this new package upload to Ubuntu.
    - Details about these and many further changes can be found at:
      https://www.postgresql.org/docs/10/static/release-10-7.html

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 12 Feb 2019 21:25:34 +0100
