=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: postgresql-10
 Section: database
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
+Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders:
  Martin Pitt <mpitt@debian.org>,
  Peter Eisentraut <petere@debian.org>,
  Christoph Berg <myon@debian.org>
-Standards-Version: 4.1.3
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Build-Depends:
  bison,
- debhelper (>= 9~),
+ debhelper (>= 9),
  dh-exec (>= 0.13~),
  docbook,
  docbook-xml,
@@ -21,7 +21,7 @@
  krb5-multidev,
  libedit-dev,
  libicu-dev,
- libipc-run-perl,
+ libipc-run-perl <!nocheck>,
  libldap2-dev,
  libpam0g-dev | libpam-dev,
  libperl-dev,
@@ -36,7 +36,8 @@
  pkg-config,
  python-dev,
  python3-dev,
- tcl8.6-dev,
+ systemtap-sdt-dev,
+ tcl-dev,
  uuid-dev,
  xsltproc,
  zlib1g-dev | libz-dev
@@ -46,7 +47,7 @@
 
 Package: libpq-dev
 Architecture: any
-Section: libdevel
+Section: 10/libdevel
 Depends:
  libpq5 (= ${binary:Version}),
  ${misc:Depends},
@@ -63,7 +64,7 @@
 
 Package: libpq5
 Architecture: any
-Section: libs
+Section: 10/libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
@@ -80,7 +81,7 @@
 
 Package: libecpg6
 Architecture: any
-Section: libs
+Section: 10/libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
@@ -92,7 +93,7 @@
 
 Package: libecpg-dev
 Architecture: any
-Section: libdevel
+Section: 10/libdevel
 Depends:
  libecpg-compat3 (= ${binary:Version}),
  libecpg6 (= ${binary:Version}),
@@ -112,7 +113,7 @@
 
 Package: libecpg-compat3
 Architecture: any
-Section: libs
+Section: 10/libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
@@ -124,7 +125,7 @@
 
 Package: libpgtypes3
 Architecture: any
-Section: libs
+Section: 10/libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
@@ -137,7 +138,7 @@
 Package: postgresql-10
 Architecture: any
 Depends:
- locales,
+ locales | locales-all,
  postgresql-client-10,
  postgresql-common (>= 182~),
  ssl-cert,
@@ -146,30 +147,27 @@
  ${shlibs:Depends}
 Provides: postgresql-contrib-10
 Recommends: sysstat
-Suggests: locales-all
-Description: object-relational SQL database, version 10 server
- PostgreSQL is a powerful, open source object-relational database
- system. It is fully ACID compliant, has full support for foreign
- keys, joins, views, triggers, and stored procedures (in multiple
- languages). It includes most SQL:2008 data types, including INTEGER,
- NUMERIC, BOOLEAN, CHAR, VARCHAR, DATE, INTERVAL, and TIMESTAMP. It
- also supports storage of binary large objects, including pictures,
- sounds, or video. It has native programming interfaces for C/C++,
- Java, .Net, Perl, Python, Ruby, Tcl, ODBC, among others, and
- exceptional documentation.
+Description: The World's Most Advanced Open Source Relational Database
+ PostgreSQL, also known as Postgres, is a free and open-source relational
+ database management system (RDBMS) emphasizing extensibility and SQL
+ compliance. It features transactions with Atomicity, Consistency, Isolation,
+ Durability (ACID) properties, automatically updatable views, materialized
+ views, triggers, foreign keys, and stored procedures. It is designed to handle
+ a range of workloads, from single machines to data warehouses or Web services
+ with many concurrent users.
  .
  This package provides the database server for PostgreSQL 10.
 XB-Postgresql-Catversion: ${postgresql:Catversion}
 
-#dbg#Package: postgresql-10-dbg
-#dbg#Section: debug
-#dbg#Priority: extra
-#dbg#Architecture: any
-#dbg#Depends: postgresql-10 (= ${binary:Version}), ${misc:Depends}
-#dbg#Description: debug symbols for postgresql-10
-#dbg# This package provides detached debugging symbols for PostgreSQL 10.
-#dbg# .
-#dbg# PostgreSQL is an object-relational SQL database management system.
+Package: postgresql-10-dbg
+Section: debug
+Priority: optional
+Architecture: any
+Depends: postgresql-10 (= ${binary:Version}), ${misc:Depends}
+Description: debug symbols for postgresql-10
+ This package provides detached debugging symbols for PostgreSQL 10.
+ .
+ PostgreSQL is an object-relational SQL database management system.
 
 Package: postgresql-client-10
 Architecture: any
@@ -177,10 +175,13 @@
 Depends:
  libpq5 (>= ${source:Upstream-Version}),
  postgresql-client-common (>= 182~),
+ sensible-utils,
  ${misc:Depends},
  ${shlibs:Depends}
 Suggests: postgresql-10, postgresql-doc-10
 Provides: postgresql-client
+Conflicts: postgresql-server-dev-10 (<< 10.11-2~)
+Replaces: postgresql-server-dev-10
 Description: front-end programs for PostgreSQL 10
  This package contains client and administrative programs for
  PostgreSQL: these are the interactive terminal client psql and
@@ -199,6 +200,7 @@
 Section: libdevel
 Depends:
  libpq-dev (>= 10~~),
+ postgresql-client-10 (= ${binary:Version}),
  postgresql-common (>= 142~),
  ${misc:Depends},
  ${shlibs:Depends}
